Funtoo MATE Project

From Funtoo
Revision as of 17:36, November 13, 2022 by Grouche (talk | contribs) (grouche is working on MATE-1.26)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
   Summary
MATE is a new project to upgrade all the mate-kit packages to the latest version of MATE, integrate Funtoo metatools into mate-kit, and eventually bring the MATE to a "Grade A" Funtoo support Desktop Environment.
   Subpages
   People
Leads
Contributors


What are the Benefits?

This is part of a large collaborative community effort to bring the best in class and latest Desktop Environments to Funtoo Linux powered by Funtoo Metatools to ensure we have Grade A Funtoo Support Matrix for this DE. This means that the DE has reached three major milestones:

  1. We have a Funtoo Project tracking the development with an active maintainer for the Desktop Environment
  2. There is an official Funtoo kit dedicated to the Desktop Environment container all Funtoo Metatools powered packages
  3. There is an official Stage 3 available to all Funtoo Users for the Desktop Environment

What are we Building?

Grade A support of the MATE Desktop Environment on Funtoo Linux

Funtoo Linux Python Support for MATE

At the time of writing only 4 (four) core MATE packages require Python, specifically Python 3.7+ as all python2 support was deprecated in previous releases:

  • pluma-plugins
  • mate-dev-scripts
  • mozo
  • caja-dropbox

These packages have the next Python requirements

  • pluma-plugins
 * Requires: >=dev-libs/libpeas, dev-libs/glib, >=x11-libs/gtk+,>=x11-libs/gtksourceview-4.0.2:4
  • mate-dev-scripts
 * Requires: Further investigation needed as these are not used by any core-mate packages but for mate extra packages like the advanced mate menu or mate-tweak
  • mozo
 * Requires: >=dev-python/pygobject-3,>=mate-base/mate-menus, x11-libs/gdk-pixbuf,>= x11-libs/gtk+
  • caja-dropbox
 * Requires: dev-libs/atk, >= dev-libs/glib-2.50:2, dev-python/pygobject:3, >=mate-base/caja-1.19.1, mate-extra/caja-extensions, media-libs/fontconfig:1.0, media-libs/freetype:2, x11-libs/cairo, x11-libs/gdk-pixbuf:2, >= x11-libs/gtk+, x11-libs/libXinerama, x11-libs/pango

NOTE: Neither pluma-plugins nor mate-dev-scripts packages exist in Funtoo Linux as of now.